NetxPanel (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.NetxPanel class
Date: 2021-05-10

net.sourceforge.jnlp

## Class NetxPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - sun.applet.AppletPanel
        - - sun.applet.AppletViewerPanelAccess
          - - net.sourceforge.jnlp.NetxPanel

- All Implemented Interfaces:
    java.applet.AppletStub, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible, net.sourceforge.jnlp.splashscreen.SplashController

      public class NetxPanel
      extends AppletViewerPanelAccess
      implements net.sourceforge.jnlp.splashscreen.SplashController

  This panel calls into netx to run an applet, and pipes the display into a panel from the icedtea-web browser plugin.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `java.awt.Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class sun.applet.AppletPanel

      `APPLET_DESTROY, APPLET_DISPOSE, APPLET_ERROR, APPLET_INIT, APPLET_LOAD, APPLET_LOADING, APPLET_LOADING_COMPLETED, APPLET_QUIT, APPLET_RESIZE, APPLET_START, APPLET_STOP, doInit, handler, loader, status`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetxPanel(java.net.URL documentURL, PluginParameters params, PluginBridge bridge)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createAppletThread()` Creates a new Thread (in a new applet-specific ThreadGroup) for running the applet
    `void` | `createNewAppContext()`
    `AppletInstance` | `getAppInst()`
    `java.lang.ClassLoader` | `getAppletClassLoader()`
    `java.lang.String` | `getCode()`
    `java.net.URL` | `getCodeBase()`
    `java.net.URL` | `getDocumentBase()`
    `int` | `getHeight()`
    `java.lang.String` | `getJarFiles()`
    `java.lang.String` | `getParameter(java.lang.String arg0)`
    `java.lang.String` | `getSerializedObject()`
    `int` | `getSplashHeigth()`
    `int` | `getSplashWidth()`
    `java.lang.ThreadGroup` | `getThreadGroup()`
    `int` | `getWidth()`
    `boolean` | `hasInitialFocus()`
    `void` | `init(PluginBridge bridge)`
    `boolean` | `isInitialized()`
    `protected void` | `ourRunLoader()`
    `void` | `removeSplash()`
    `void` | `replaceSplash(net.sourceforge.jnlp.splashscreen.SplashPanel r)`
    `void` | `setAppletViewerFrame(net.sourceforge.jnlp.splashscreen.SplashController framePanel)`
    `protected void` | `showAppletException(java.lang.Throwable t)`
    `void` | `updateSizeInAtts(int height, int width)`

    - ### Methods inherited from class sun.applet.AppletViewerPanelAccess

      `getAppletContext, getBaseURL, getDocumentURL, run, setApplet, setDoInitIfExists`

    - ### Methods inherited from class sun.applet.AppletPanel

      `addAppletListener, appletResize, changeFrameAppContext, clearLoadAbortRequest, createApplet, createClassLoader, dispatchAppletEvent, flushClassLoader, flushClassLoaders, getApplet, getAppletHandlerThread, getAppletHeight, getAppletWidth, getClassLoaderCacheKey, init, isActive, isJDK11Applet, isJDK12Applet, loadJarFiles, minimumSize, okToLoad, preferredSize, removeAppletListener, sendEvent, setBounds, setLoadAbortRequest, setupAppletAppContext, showAppletLog, showAppletLog, showAppletStatus, showAppletStatus, showAppletStatus, stopLoading`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, paint, paintComponents, paramString, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetxPanel

          public NetxPanel(java.net.URL documentURL,
                           PluginParameters params,
                           PluginBridge bridge)

  - ### Method Detail

    - #### getAppInst

          public AppletInstance getAppInst()

    - #### showAppletException

          protected void showAppletException(java.lang.Throwable t)

      Overrides:
        `showAppletException` in class `sun.applet.AppletPanel`

    - #### ourRunLoader

          protected void ourRunLoader()

      Specified by:
        `ourRunLoader` in class `AppletViewerPanelAccess`

    - #### createAppletThread

          protected void createAppletThread()

      Creates a new Thread (in a new applet-specific ThreadGroup) for running the applet
      Overrides:
        `createAppletThread` in class `AppletViewerPanelAccess`

    - #### updateSizeInAtts

          public void updateSizeInAtts(int height,
                                       int width)

    - #### getAppletClassLoader

          public java.lang.ClassLoader getAppletClassLoader()

    - #### isInitialized

          public boolean isInitialized()

    - #### getThreadGroup

          public java.lang.ThreadGroup getThreadGroup()

    - #### createNewAppContext

          public void createNewAppContext()

    - #### setAppletViewerFrame

          public void setAppletViewerFrame(net.sourceforge.jnlp.splashscreen.SplashController framePanel)

    - #### removeSplash

          public void removeSplash()

      Specified by:
        `removeSplash` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

    - #### replaceSplash

          public void replaceSplash(net.sourceforge.jnlp.splashscreen.SplashPanel r)

      Specified by:
        `replaceSplash` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

    - #### getSplashWidth

          public int getSplashWidth()

      Specified by:
        `getSplashWidth` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

    - #### getSplashHeigth

          public int getSplashHeigth()

      Specified by:
        `getSplashHeigth` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

    - #### init

          public void init(PluginBridge bridge)
                    throws LaunchException

      Throws:
        `LaunchException`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String arg0)

    - #### getDocumentBase

          public java.net.URL getDocumentBase()

    - #### getCodeBase

          public java.net.URL getCodeBase()

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in class `sun.applet.AppletPanel`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in class `sun.applet.AppletPanel`

    - #### hasInitialFocus

          public boolean hasInitialFocus()

      Specified by:
        `hasInitialFocus` in class `sun.applet.AppletPanel`

    - #### getCode

          public java.lang.String getCode()

      Specified by:
        `getCode` in class `sun.applet.AppletPanel`

    - #### getJarFiles

          public java.lang.String getJarFiles()

      Specified by:
        `getJarFiles` in class `sun.applet.AppletPanel`

    - #### getSerializedObject

          public java.lang.String getSerializedObject()

      Specified by:
        `getSerializedObject` in class `sun.applet.AppletPanel`

Submit a bug or feature